
Summary:	CopyQ is advanced clipboard manager
Summary(de):	CopyQ ist ein erweitertes Dienstprogramm für die Zwischenanlage
Name: 		copyq
Version: 	7.1.0
Release: 	%mkrel 1
License: 	GPL
Group: 		Graphical desktop/Other
URL: 		http://qt-apps.org/content/show.php/CopyQ?content=147452
Source0: 	CopyQ-%{version}.tar.xz
Obsoletes: 	%{name} < %version
#-----------------------------------
BuildRequires: cmake
BuildRequires: lib64xext-devel
BuildRequires: lib64xfixes-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64sm-devel
BuildRequires: lib64ice-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5script-devel
BuildRequires: lib64qt5webkit-devel
BuildRequires: lib64qt5webkitwidgets-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64xi-devel 
BuildRequires: lib64xtst-devel
BuildRequires: libxcb-devel
#-----------------------------------
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot

%description
CopyQ is advanced clipboard manager with searchable and editable history with
support for image formats, command line control and more.

%description -l de
Ein gut gelungener Zwischenablagen-Manager mit suchbarer, editabler Geschichte
und automatisch ausführbaren eigenen Kommandos, sowohl BefehlszeilenunterstÃŒtzung.
Es kann auch Bilder als Clip speichern.

%prep
%setup -q -n CopyQ-%{version}
  
%build

%cmake_qt5 \
    -Wno-dev \
    -DWITH_QT5=TRUE \
    -DPLUGIN_INSTALL_PREFIX=%{_libdir}/%{name}/plugins
%make_build

%install
rm -rf %buildroot
%makeinstall_std -C build
rm -f %{buildroot}/%{_datadir}/applications/com.github.hluk.%{name}.desktop

#menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/com.github.hluk.%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=CopyQ
Comment=CopyQ is advanced clipboard manager
Comment[de]=CopyQ ist ein erweitertes Dienstprogramm für die Zwischenanlage
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Qt;Core;X-MandrivaLinux-System-FileTools;
EOF

# Add translation lang tags
(cd %{buildroot} && find . -name '*.qm') | %__sed -e 's|^.||' | sed -e \
    's:\(.*/translations/copyq_\)\([a-z_A-Z]\+\)\(.*qm$\):%lang(\2) \1\2\3:'\
        >> %{name}.lang

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/com.github.hluk.%{name}.desktop
%{_datadir}/metainfo/com.github.hluk.%{name}.appdata.xml
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/translations
%{_datadir}/%{name}/themes/
%{_libdir}/%{name}/
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/%{name}.1*
%{_datadir}/bash-completion/completions/copyq

%changelog
* Sun Sep 03 2023 tex - 7.1.0-1pclos2023
- new version

* Fri Jan 20 2023 tex - 6.4.0-1pclos2023
- new version

* Tue Sep 27 2022 tex - 6.3.0-1pclos2022
- new version

